Subject: Re: bug#43532: [feature/native-comp] *.eln file name hashing, algorithm doesn't seem to play nice with NATIVE_FULL_AOT and self-contained, Emacs.app builds for macOS

From: Aloxaf Yin <[email-masked]>
Date: Thu, 8 Oct 2020 11:40:08 +0800

Hi Andrea,

Take comp.el as an example, its path is
`/tmp/makepkg/emacs-native-comp-git/src/emacs-git/lisp/emacs-lisp/comp.el`
while being compiled and
`/usr/share/emacs/28.0.50/lisp/emacs-lisp/comp.el` after the
packaging.

Thanks

Andrea Corallo <[email-masked]> 于2020年10月7日周三 下午11:00写道：
>
> Aloxaf Yin <[email-masked]> writes:
>
> > Oh, I forgot to send the draft! Sorry for the late reply.
> >
> > Thanks for your work!
> >
> > I tried 915214ac but it doesn't seem to work.
> >
> > Here are some relevant definitions from src/epath.h:
> > #define PATH_LOADSEARCH "/usr/share/emacs/28.0.50/lisp"
> > #define PATH_REL_LOADSEARCH "28.0.50/lisp"
> > #define PATH_DUMPLOADSEARCH
> > "/tmp/makepkg/emacs-native-comp-git/src/emacs-git/lisp"
> >
> > That's strange. Can I do anything to help analyze it?
>
> Hi Aloxaf,
>
> Yes that's curious the above looks correct.  I just ask you to post the
> full path of an .el file (say comp.el) while being compiled and after
> the packaging.
>
> Thanks
>
>   Andrea